package org.wso2.carbon.device.mgt.ios.api.utils.beans.wrapper;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.wso2.carbon.device.mgt.ios.payload.beans.AirPlay;

import java.util.List;

@ApiModel(value = "AirPlayBeanWrapper",
        description = "Information related to AirPlay.")
public class AirPlayBeanWrapper {

    @ApiModelProperty(name = "deviceIDs", value = "List of DeviceIds to be execute.", required = true)
    private List<String> deviceIDs;
    @ApiModelProperty(name = "operation", value = "AirPlay operation.", required = true)
    private AirPlay operation;

    public List<String> getDeviceIDs() {
        return deviceIDs;
    }

    public void setDeviceIDs(List<String> deviceIDs) {
        this.deviceIDs = deviceIDs;
    }

    public AirPlay getOperation() {
        return operation;
    }

    public void setOperation(AirPlay operation) {
        this.operation = operation;
    }
}
